# Audio record

An action block that records audio.

If the proceed option is set to Immediately, then the audio will be recorded without pausing the fiber. If set to When complete, then the fiber will pause until the recording has completed.

The recording can be limited to an maximum duration, it can also be stopped with an Audio record stop block or by cancelling the notification.

The path can be set to an existing or new file, or to a directory where the file will be placed with an automatic name. The path to the actual audio file saved is assigned to the audio file variable.

Note! Recording phone calls from the Voice call, Voice downlink or Voice uplink audio sources, is illegal in many countries and do not work on most devices.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Audio source — audio source to record, default is Default.
- Audio encoding — audio encoding and container format of the audio file, default is AAC-LC.
- Audio quality — audio quality of the encoding, default is 100%.
- Maximum duration — maximum duration of the recording in seconds, default is no limit.
- Destination path — file or directory path where the audio file will be saved, default is a file in the “Notifications” directory.
- Audio focus — audio focus to request, default is Transient exclusive.
- Notification channel — UUID of notification channel used for showing a notification during recording, default is no notification.

## Output variables

- Audio file — variable to assign the path to the audio file.